Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface FArgumentPrototype

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, ITyped, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Subinterfaces:
  FArgumentArrayPrototype, FMultiArgumentPrototype

All Known Implementing Classes:
  FArgumentArrayPrototypeImpl, FArgumentPrototypeImpl, FMultiArgumentPrototypeImpl

    public interface FArgumentPrototype

extends ITyped, SNamed

A representation of the model object ' FArgument Prototype'.

The following features are supported:

- `Input Function`
- `Output Function`
- `Optional`

See Also:
  `MetaABMFunctionPackage.getFArgumentPrototype()`

Method Summary
`boolean` | `accepts(IValue value)`
`FFunction` | `getInputFunction()` Returns the value of the 'Input Function' container reference.
`FGenericFunction` | `getOutputFunction()` Returns the value of the 'Output Function' container reference.
`boolean` | `isOptional()` Returns the value of the 'Optional' attribute.
`void` | `setInputFunction(FFunction value)` Sets the value of the '`Input Function`' container reference.
`void` | `setOptional(boolean value)` Sets the value of the '`Optional`' attribute.
`void` | `setOutputFunction(FGenericFunction value)` Sets the value of the '`Output Function`' container reference.

Methods inherited from interface org.metaabm.ITyped
`getSType, setSType`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getInputFunction

    FFunction getInputFunction()

  Returns the value of the 'Input Function' container reference. It is bidirectional and its opposite is '`Input Prototypes`'.

  If the meaning of the 'Input Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Input Function' container reference.
  See Also:
    `setInputFunction(FFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_InputFunction()`, `FFunction.getInputPrototypes()`

### setInputFunction

    void setInputFunction(FFunction value)

  Sets the value of the '`Input Function`' container reference.

  Parameters:
    `value` - the new value of the 'Input Function' container reference.
  See Also:
    `getInputFunction()`

### getOutputFunction

    FGenericFunction getOutputFunction()

  Returns the value of the 'Output Function' container reference. It is bidirectional and its opposite is '`Output Prototypes`'.

  If the meaning of the 'Output Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Output Function' container reference.
  See Also:
    `setOutputFunction(FGenericFunction)`, `MetaABMFunctionPackage.getFArgumentPrototype_OutputFunction()`, `FGenericFunction.getOutputPrototypes()`

### setOutputFunction

    void setOutputFunction(FGenericFunction value)

  Sets the value of the '`Output Function`' container reference.

  Parameters:
    `value` - the new value of the 'Output Function' container reference.
  See Also:
    `getOutputFunction()`

### isOptional

    boolean isOptional()

  Returns the value of the 'Optional' attribute.

  If the meaning of the 'Optional' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Optional' attribute.
  See Also:
    `setOptional(boolean)`, `MetaABMFunctionPackage.getFArgumentPrototype_Optional()`

### setOptional

    void setOptional(boolean value)

  Sets the value of the '`Optional`' attribute.

  Parameters:
    `value` - the new value of the 'Optional' attribute.
  See Also:
    `isOptional()`

### accepts

    boolean accepts(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD